Bug 183026 - [PATCH] news/nzbget: cleanup and missing depends
[PATCH] news/nzbget: cleanup and missing depends
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Mark Felder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 14:20 UTC by Mark Felder
Modified: 2013-10-18 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.24 KB, patch)
2013-10-16 14:20 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2013-10-16 14:20:00 UTC
nzbget should really have a default depend on archivers/unrar and an option for archivers/p7zip. Python post processing scripts are also now provided as of 11.0, so Python should be a runtime dependency as well.

Attached patch provides the following:

- General cleanup
- unrar and python are default enabled options
- p7zip option, disabled by default
- The final release of 11.0 only requires --disable-sigchld-handler on 32bit FreeBSD [1]

[1] http://nzbget.sourceforge.net/forum/viewtopic.php?f=3&t=596&start=10

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-16 14:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-16 14:20:08 UTC
Maintainer of news/nzbget,

Please note that PR ports/183026 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183026

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Toxic 2013-10-17 16:41:43 UTC
    I approve this patch.

    Thanks for the cleanup, Mark.

    -Jeff
Comment 4 Mark Linimon freebsd_committer 2013-10-18 04:05:07 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Mark Felder freebsd_committer 2013-10-18 13:17:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 6 Mark Felder freebsd_committer 2013-10-18 16:02:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter freebsd_committer 2013-10-18 16:06:39 UTC
Author: feld
Date: Fri Oct 18 15:02:22 2013
New Revision: 330759
URL: http://svnweb.freebsd.org/changeset/ports/330759

Log:
  - General cleanup
  - unrar and Python are default enabled options
  - New p7zip option, disabled by default
  - The final release of 11.0 only requires --disable-sigchld-handler on
    32bit FreeBSD [1]
  
  [1] http://nzbget.sourceforge.net/forum/viewtopic.php?f=3&t=596&start=10
  
  PR:		ports/183026
  Approved by:	maintainer, swills (mentor)

Modified:
  head/news/nzbget/Makefile
  head/news/nzbget/files/nzbget.in

Modified: head/news/nzbget/Makefile
==============================================================================
--- head/news/nzbget/Makefile	Fri Oct 18 15:02:20 2013	(r330758)
+++ head/news/nzbget/Makefile	Fri Oct 18 15:02:22 2013	(r330759)
@@ -3,6 +3,7 @@
 
 PORTNAME=	nzbget
 PORTVERSION=	11.0
+PORTREVISION=	1
 CATEGORIES=	news
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-stable/${PORTVERSION}
 
@@ -23,30 +24,38 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	${PTHREAD_LIBS}
 CFLAGS+=	${PTHREAD_CFLAGS}
 
-OPTIONS_DEFINE=	PAR
+OPTIONS_DEFINE=	7Z PAR PYTHON RAR
 OPTIONS_SINGLE=	TLSLIB
 OPTIONS_SINGLE_TLSLIB=	GNUTLS OPENSSL
-OPTIONS_DEFAULT=	PAR GNUTLS
+OPTIONS_DEFAULT=	GNUTLS PAR PYTHON RAR
+7Z_DESC=	Support extraction of 7z archives
 PAR_DESC=	Support verifying/repairing with par2 files
+PYTHON_DESC=	Support for python post-processing scripts
+RAR_DESC=	Support extraction of rar archives
+
+7Z_RUN_DEPENDS=		7z:${PORTSDIR}/archivers/p7zip
 
 PAR_CONFIGURE_ON=	--enable-parcheck --disable-libpar2-bugfixes-check
 PAR_CONFIGURE_OFF=	--disable-parcheck
 PAR_LIB_DEPENDS=	libpar2.so:${PORTSDIR}/archivers/libpar2
 
+PYTHON_USE=	PYTHON=yes
+
+RAR_RUN_DEPENDS=	unrar:${PORTSDIR}/archivers/unrar
+
 OPENSSL_CONFIGURE_ON=	--with-tlslib=OpenSSL \
 			--with-openssl-includes=${OPENSSLINC} \
 			--with-openssl-libraries=${OPENSSLLIB}
+OPENSSL_USE=	OPENSSL=yes
 
 GNUTLS_CONFIGURE_ON=	--with-tlslib=GnuTLS
 GNUTLS_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls \
 			libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
-CONFIGURE_ARGS+=	--enable-sigchld-handler
-
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MOPENSSL}
- USE_OPENSSL=	yes
+.if (${ARCH} == "i386")
+CONFIGURE_ARGS+=       --disable-sigchld-handler
 .endif
 
 post-configure:

Modified: head/news/nzbget/files/nzbget.in
==============================================================================
--- head/news/nzbget/files/nzbget.in	Fri Oct 18 15:02:20 2013	(r330758)
+++ head/news/nzbget/files/nzbget.in	Fri Oct 18 15:02:22 2013	(r330759)
@@ -1,5 +1,7 @@
 #!/bin/sh
 #
+# $FreeBSD$
+#
 # PROVIDE: nzbget
 # KEYWORD: shutdown
 #
@@ -11,15 +13,15 @@
 
 . /etc/rc.subr
 
-name="nzbget"
+name=nzbget
 rcvar=nzbget_enable
 
 load_rc_config ${name}
 
-: ${nzbget_enable:="NO"}
+: ${nzbget_enable:=NO}
 
 start_cmd="${name}_start"
-status_cmd="${name}_status"
+status_cmd="${command} status"
 stop_cmd="${name}_stop"
 command=%%PREFIX%%/sbin/nzbgetd
 
@@ -38,9 +40,4 @@ nzbget_stop()
 	${command} stop
 }
 
-nzbget_status()
-{
-	${command} status
-}
-
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"